#include "game_mode.hpp"
#include <godot_cpp/classes/global_constants.hpp>
#include <godot_cpp/classes/packed_scene.hpp>
#include <godot_cpp/classes/scene_state.hpp>
#include "godot_macros.hpp"

namespace utils {
void GameMode::_bind_methods() {
#define CLASSNAME GameMode
    GDPROPERTY_HINTED(player_scene, gd::Variant::OBJECT, gd::PROPERTY_HINT_RESOURCE_TYPE, "PackedScene");
}

void GameMode::set_player_scene(gd::Ref<gd::PackedScene> scene) {
    this->player_scene = scene;
}

gd::Ref<gd::PackedScene> GameMode::get_player_scene() const {
    return this->player_scene;
}
}
